﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ChartMarker
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void obj_DataPointChanged(object sender, EventArgs e)
        {
            // update label in code from marker
            var obj = (ChartPanelObject)sender;
            if (obj != null)
            {
                Point pt = c1Chart1.View.PointFromData(obj.DataPoint);
                txtSeries1.Text = "";
                double distance = 0; //distance calculated, but not used

                for(int i = 0; i < c1Chart1.Data.Children.Count; i++)
                {
                    int index = c1Chart1.View.DataIndexFromPoint(pt, i, MeasureOption.X, out distance);
                    if (index != -1)
                    {
                        txtSeries1.Text += c1Chart1.Data.Children[i].Label + ": " + c1Chart1.Data.Children[i].GetDataValue("Values", index).ToString();
                        txtSeries1.Text += ", ";
                    }
                }
            }
        }
    }
}
